Subject: Re: ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00008040

From: Felix Fietkau <[email-masked]>
Date: Mon, 19 Mar 2012 16:33:06 +0100

On 2012-03-19 4:25 PM, Justin P. Mattock wrote:
> On 03/19/2012 08:20 AM, Mohammed Shafi wrote:
>> Hi Justin,
>>
>>> seems I got this when waking up from suspend, was trying to connect with NM
>>> then all of a sudden Xorg shut off and this appeared on the screen(image
>>> links below I could not save dmesg only pic)
>>> http://flic.kr/p/bEhf2K
>>> http://flic.kr/p/bEhf2x
>>> http://flic.kr/p/bEhf2n
>>> http://flic.kr/p/bEhf26
>>>
>>> I see ath9k in the image, but am unsure if its related.
>>> kernel is: 3.3.0-rc7-next-20120316
>>
>> this looks like some new issue  in ath9k, lets try to recreate it here
>>
>>>
>>> Justin P. Mattock
>>>
>>>
>>>
>>
>>
>>
> 
> would be nice to recreate, then bisecting will be more accurate to do.. 
> I am trying userspace tweaks here and there but no luck(hostapd etc..) 
> keep in mind this is for the RX DMA, the above just occured..
> as for writing a small app I still need to try, but my C skills only go 
> so far(anything to trigger!).
Was your kernel compiled with debug info? If so, please run gdb on the
ath9k.ko module and enter this:
l *ath9k_tx+start+0x284
Then send me the output of that.

- Felix